//Data generating system
system = {
	class = "ArxDS";
	y = {class="RV";
	     names= ( "y", "u" );
	    };
	u = {class="RV";
	     names=();
	    };
	rgr = {class="RV";
	       names = ( "y","y","y","u" );
	       times = [-1, -2, -3, -1];
	      };
	//AR parameters
	theta = ( 2,4,[0.8, -0.3, 0.4, 1.0,
	               0.0, 0.0, 0.0, 0.0] );
	// offset
	offset = [0.0, 0.0];
	//variance
	r = ( 2,2,[0.1, 0.0,
	           0.0, 1.0] );
	// log also theta
	opt="L_theta";
};

//store results
logger = {
	class= "dirfilelog";
	dirname = "exp/arx_ui";
	maxlen = 1000; //
};

//estimation
estimator = {
	class = "ARX";
	y = {class="RV";
	     names= ( "y" );
	    };
	rgr = {class="RV";
	       names = ( "y","y","y","u" );
	       times = [-1, -2, -3, -1];
	      };

	//optional fields
	dV0 = [1e-3, 1e-5, 1e-5, 1e-5, 1e-5]; //default: 1e-3 for y, 1e-5 for rgr
	nu0 = 8.;      //default: rgrlen + 2
	frg = 1.0;    // forgetting, default frg=1.0
};

//experiment description
experiment: {
	ndat = 9000;
};
